## hwloc-contrib 2.0.3+dfsg

=== contrib/windows/Makefile ===
# Makefile.in generated by automake 1.15.1 from Makefile.am.
# contrib/windows/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2017 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright © 2009-2018 Inria.  All rights reserved.
# See COPYING in top-level directory.

# This Makefile doesn't run by default because it requires
# bash, and grep built with support for -P

am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/hwloc
pkgincludedir = $(includedir)/hwloc
pkglibdir = $(libdir)/hwloc
pkglibexecdir = $(libexecdir)/hwloc
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
target_triplet = x86_64-pc-linux-gnu
subdir = contrib/windows
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/hwloc.m4 \
	$(top_srcdir)/config/hwloc_check_attributes.m4 \
	$(top_srcdir)/config/hwloc_check_vendor.m4 \
	$(top_srcdir)/config/hwloc_check_visibility.m4 \
	$(top_srcdir)/config/hwloc_components.m4 \
	$(top_srcdir)/config/hwloc_internal.m4 \
	$(top_srcdir)/config/hwloc_pkg.m4 \
	$(top_srcdir)/config/libtool.m4 \
	$(top_srcdir)/config/ltoptions.m4 \
	$(top_srcdir)/config/ltsugar.m4 \
	$(top_srcdir)/config/ltversion.m4 \
	$(top_srcdir)/config/lt~obsolete.m4 \
	$(top_srcdir)/config/netloc.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/include/private/autogen/config.h \
	$(top_builddir)/include/hwloc/autogen/config.h
CONFIG_CLEAN_FILES = test-windows-version.sh
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__tty_colors_dummy = \
  mgn= red= grn= lgn= blu= brg= std=; \
  am__color_tests=no
am__tty_colors = { \
  $(am__tty_colors_dummy); \
  if test "X$(AM_COLOR_TESTS)" = Xno; then \
    am__color_tests=no; \
  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    am__color_tests=yes; \
  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
    am__color_tests=yes; \
  fi; \
  if test $$am__color_tests = yes; then \
    red='[0;31m'; \
    grn='[0;32m'; \
    lgn='[1;32m'; \
    blu='[1;34m'; \
    mgn='[0;35m'; \
    brg='[1m'; \
    std='[m'; \
  fi; \
}
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__recheck_rx = ^[ 	]*:recheck:[ 	]*
am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
# A command that, given a newline-separated list of test names on the
# standard input, print the name of the tests that are to be re-run
# upon "make recheck".
am__list_recheck_tests = $(AWK) '{ \
  recheck = 1; \
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    { \
      if (rc < 0) \
        { \
          if ((getline line2 < ($$0 ".log")) < 0) \
	    recheck = 0; \
          break; \
        } \
      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
        { \
          recheck = 0; \
          break; \
        } \
      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
        { \
          break; \
        } \
    }; \
  if (recheck) \
    print $$0; \
  close ($$0 ".trs"); \
  close ($$0 ".log"); \
}'
# A command that, given a newline-separated list of test names on the
# standard input, create the global log from their .trs and .log files.
am__create_global_log = $(AWK) ' \
function fatal(msg) \
{ \
  print "fatal: making $@: " msg | "cat >&2"; \
  exit 1; \
} \
function rst_section(header) \
{ \
  print header; \
  len = length(header); \
  for (i = 1; i <= len; i = i + 1) \
    printf "="; \
  printf "\n\n"; \
} \
{ \
  copy_in_global_log = 1; \
  global_test_result = "RUN"; \
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    { \
      if (rc < 0) \
         fatal("failed to read from " $$0 ".trs"); \
      if (line ~ /$(am__global_test_result_rx)/) \
        { \
          sub("$(am__global_test_result_rx)", "", line); \
          sub("[ 	]*$$", "", line); \
          global_test_result = line; \
        } \
      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
        copy_in_global_log = 0; \
    }; \
  if (copy_in_global_log) \
    { \
      rst_section(global_test_result ": " $$0); \
      while ((rc = (getline line < ($$0 ".log"))) != 0) \
      { \
        if (rc < 0) \
          fatal("failed to read from " $$0 ".log"); \
        print line; \
      }; \
      printf "\n"; \
    }; \
  close ($$0 ".trs"); \
  close ($$0 ".log"); \
}'
# Restructured Text title.
am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
# Solaris 10 'make', and several other traditional 'make' implementations,
# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
# by disabling -e (using the XSI extension "set +e") if it's set.
am__sh_e_setup = case $$- in *e*) set +e;; esac
# Default flags passed to test drivers.
am__common_driver_flags = \
  --color-tests "$$am__color_tests" \
  --enable-hard-errors "$$am__enable_hard_errors" \
  --expect-failure "$$am__expect_failure"
# To be inserted before the command running the test.  Creates the
# directory for the log if needed.  Stores in $dir the directory
# containing $f, in $tst the test, in $log the log.  Executes the
# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
# will run the test scripts (or their associated LOG_COMPILER, if
# thy have one).
am__check_pre = \
$(am__sh_e_setup);					\
$(am__vpath_adj_setup) $(am__vpath_adj)			\
$(am__tty_colors);					\
srcdir=$(srcdir); export srcdir;			\
case "$@" in						\
  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
    *) am__odir=.;; 					\
esac;							\
test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
if test -f "./$$f"; then dir=./;			\
elif test -f "$$f"; then dir=;				\
else dir="$(srcdir)/"; fi;				\
tst=$$dir$$f; log='$@'; 				\
if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  am__enable_hard_errors=no; 				\
else							\
  am__enable_hard_errors=yes; 				\
fi; 							\
case " $(XFAIL_TESTS) " in				\
  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
    am__expect_failure=yes;;				\
  *)							\
    am__expect_failure=no;;				\
esac; 							\
$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
# A shell command to get the names of the tests scripts with any registered
# extension removed (i.e., equivalently, the names of the test logs, with
# the '.log' extension removed).  The result is saved in the shell variable
# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
# since that might cause problem with VPATH rewrites for suffix-less tests.
# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
am__set_TESTS_bases = \
  bases='$(TEST_LOGS)'; \
  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  bases=`echo $$bases`
RECHECK_LOGS = $(TEST_LOGS)
AM_RECURSIVE_TARGETS = check recheck
TEST_SUITE_LOG = test-suite.log
TEST_EXTENSIONS =  .test
LOG_DRIVER = $(SHELL) $(top_srcdir)/./config/test-driver
LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
am__set_b = \
  case '$@' in \
    */*) \
      case '$*' in \
        */*) b='$*';; \
          *) b=`echo '$@' | sed 's/\.log$$//'`; \
       esac;; \
    *) \
      b='$*';; \
  esac
am__test_logs1 = $(TESTS:=.log)
am__test_logs2 = $(am__test_logs1:.log=.log)
TEST_LOGS = $(am__test_logs2:.test.log=.log)
TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/./config/test-driver
TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
	$(TEST_LOG_FLAGS)
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(srcdir)/test-windows-version.sh.in \
	$(top_srcdir)/./config/test-driver README
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

## hwloc-contrib 1.10.0

=== debian/changelog ===
hwloc-contrib (1.10.0-1) unstable; urgency=medium

  * New upstream release.
    - control: make libhwloc5 Break older libhwloc-plugins.
  * Bump Standards-Version to 3.9.6 (no changes).
  * Fix libhwloc-dev Depends.
  * libhwloc-doc.docs: Add doc/examples.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 08 Oct 2014 14:37:38 +0200

hwloc (1.9.1-1) unstable; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Fri, 29 Aug 2014 14:50:07 +0200

hwloc (1.9-5) unstable; urgency=medium

  * Use dh_autoreconf. Closes: #755824.
  * patches/desktop: Upstream patch to add desktop file for menu integration.
    Closes: #758252.
  * hwloc.install: Add desktop file.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 21 Aug 2014 23:50:44 +0200

hwloc (1.9-4) unstable; urgency=medium

  * Also ship lstopo-no-graphics in the hwloc package, to fix
    hwloc-gather-topology, and possibly other scripts that people might be
    using. Closes: #748927.
  * Drop autotools-dev and help2man build-dependencies, now unused.
  * Add --enable-doxygen to really build the documentation.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 11 Jul 2014 10:11:54 +0200

hwloc (1.9-3) unstable; urgency=medium

  * Use [!hurd-i386] instead of [!hurd-any], the latter doesn't seem to be
    working.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 02 May 2014 02:26:51 +0200

hwloc (1.9-2) unstable; urgency=medium

  * Do not depend on opencl-icd on hurd.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 May 2014 21:35:19 +0200

hwloc (1.9-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 26 Mar 2014 12:36:58 +0100

hwloc (1.8.1-1) unstable; urgency=medium

  * New upstream release. Closes: #737607.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 04 Feb 2014 15:18:33 +0100

hwloc (1.8-1) unstable; urgency=low

  * New upstream release.
  * control: Update debian packaging VCS URL.
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 19 Nov 2013 13:59:51 +0100

hwloc (1.7.2-1) unstable; urgency=low

  * New upstream release.
  * Add ocl-icd-opencl-dev and opencl-headers build-dependencies to build opencl
    plugin.
  * Bump Standards-Version to 3.9.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Sep 2013 12:41:33 +0200

hwloc (1.7.1-1) unstable; urgency=low

  * New upstream release.
  * Move generated header to multiarch place. Closes: #707748.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 22 May 2013 01:14:30 +0200

hwloc (1.7-3) unstable; urgency=low

  * Do not symlink lstopo into hwloc-info any more.
  * control: explicitly build-depend on pkg-config for PCI support.
  * patches/cpuset_ABI: Restore cpuset functions which were dropped without
    soname bump. Closes: #707452.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 14 May 2013 12:04:12 +0200

hwloc (1.7-2) unstable; urgency=low

  * Upload to unstable.
  * control:
    - Make libhwloc5 Suggest libhwloc-contrib-plugins.
    - Make libhwloc-plugins depend on libhwloc5.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 07 May 2013 15:19:47 +0200

hwloc (1.7-1) experimental; urgency=low

  * New upstream release.
  * control: Replace libpci-dev build-dep with libpciaccess-dev.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Apr 2013 13:59:53 +0200

hwloc (1.6.1-1) experimental; urgency=low

  * New upstream release.
  * control: Make libhwloc-dev Multi-Arch: same.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 18 Jan 2013 09:48:08 +0100

hwloc (1.6-2) experimental; urgency=low

  * rules: Enable plugins.
  * control:
    - Add libltdl-dev build-depends.
    - Add new hwloc-plugins package, containing libpci and libxml plugins.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 07 Dec 2012 04:59:17 +0100

hwloc (1.6-1) experimental; urgency=low

  * New upstream release.
  * rules: Do not ignore all make distclean errors, only ignore Makefile not being
    present.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 03 Dec 2012 20:28:04 +0100

hwloc (1.5-1) experimental; urgency=low

  * New upstream release.
  * patches/unitialized_bytes_r4576,gfbsd-ftbfs_r4578: Remove, merged
    upstream.
  * rules: Do not build hwloc twice any more, use lstopo-no-graphics for the
    hwloc-nox package.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Jul 2012 20:27:11 +0200

hwloc (1.4.1-4) unstable; urgency=low

  * patches/gfbsd-ftbfs_r4578: New upstream patch to avoid missing
    cpuset_setaffinity function on kfreebsd-any
  * patches/unitialized_bytes_r4576: New upstream patch to fix uninitialized
    pointers in topology structure.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Jul 2012 01:18:49 -0300

hwloc (1.4.1-3) unstable; urgency=low

  [ Julien Cristau ]
  * Restore ABI compatibility symlinks and provide/replace/conflict, except
    with non-dangling symlinks this time. Closes: #664571.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 06 Jul 2012 22:13:03 -0300

hwloc (1.4.1-2) unstable; urgency=low

  * Remove ABI compatibility symlinks and provide/replace/conflict, ldconfig
    actually removes them so they do not actually work.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Mar 2012 01:43:52 +0200

hwloc (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * control: Bump Standards-Version to 3.9.3 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 25 Feb 2012 17:41:58 +0100

hwloc (1.4-1) unstable; urgency=low

  * New upstream release, rename libhwloc4 package into libhwloc5 due to
    soname change.
  * Add ABI compatibility symlinks, and make libhwloc5 provide, replace and
    conflict with previous versions.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 26 Jan 2012 17:00:20 +0100

hwloc (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * Add hwloc-dev dependency on libpci-dev.



=== debian/control ===
Source: hwloc-contrib
Priority: extra
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 7), cdbs, libltdl-dev,
  libx11-dev, libxext-dev, nvidia-cuda-dev, libxnvctrl-dev,
  libpciaccess-dev, pkg-config,
  ocl-icd-opencl-dev, opencl-headers,
  autoconf (>= 2.63),
  dh-autoreconf,
  dpkg-dev (>= 1.16),
  hardening-wrapper
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.6
Section: contrib/admin
Homepage: http://www.open-mpi.org/projects/hwloc/
Vcs-Git: http://github.com/open-mpi/hwloc-debian.git
Vcs-Browser: http://github.com/open-mpi/hwloc-debian

Package: libhwloc-contrib-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc5
Description: Hierarchical view of the machine - contrib plugins
 libhwloc provides a portable abstraction (across OS, versions,
 architectures, ...) of the hierarchical topology of modern architectures. It
 primarily aims at helping high-performance computing applications with
 gathering information about the hardware so as to exploit it accordingly and
 efficiently.
 .
 libhwloc provides a hierarchical view of the machine, NUMA memory nodes,
 sockets, shared caches, cores and simultaneous multithreading. It also gathers
 various attributes such as cache and memory information.
 .
 libhwloc supports old kernels not having sysfs topology information,
 with knowledge of cpusets, offline cpus, and Kerrighed support
 .
 This package contains plugins to add discovery support for non-free items. This
 includes
  - CUDA support.
  - nvctrl support.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/langcore.mk

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

export DEB_BUILD_HARDENING=1

ifneq (,$(DEB_PARALLEL_JOBS))
MAKEFLAGS += -j$(DEB_PARALLEL_JOBS)
endif

confflags=--prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-static CFLAGS="$(CFLAGS)" --enable-plugins --enable-doxygen

configure: configure.ac config/hwloc.m4
	dh_autoreconf

config.status: configure
	dh_testdir

	./configure $(CROSS) $(confflags)


build: build-stamp
build-stamp: config.status
	dh_testdir

	$(MAKE)
	-$(MAKE) check

	touch $@

clean: 
	dh_testdir
	dh_testroot
	dh_autoreconf_clean
	rm -f build-stamp
	rm -f debian/libhwloc5.links

	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess
	rm -f configure

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

	mkdir -p $(CURDIR)/debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/hwloc/autogen
	mv $(CURDIR)/debian/tmp/usr/include/hwloc/autogen/config.h $(CURDIR)/debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/hwloc/autogen/

binary-indep:

binary-arch: export DH_OPTIONS=-s
binary-arch: install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs
	dh_installchangelogs 
	dh_installman
	dh_installmenu
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## hwloc-contrib 1.11.0

=== debian/changelog ===
hwloc-contrib (1.11.0-1) unstable; urgency=medium

  * New upstream release.
  * rules: drop jquery.js.
  * control: make libhwloc-doc depend on libjs-jquery to get jquery.js.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 18 Jun 2015 10:00:13 +0200

hwloc (1.10.1-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 May 2015 20:08:01 +0200

hwloc (1.10.0-3) unstable; urgency=medium

  * Make packages depend on at least the same version of libhwloc5.
    Closes: #767687.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 02 Nov 2014 15:25:24 +0100

hwloc (1.10.0-2) unstable; urgency=medium

  * control:
    - Add common tools names in the description of hwloc.
    - Add arm64, ppc64el and sparc in list of archs with libnuma-dev.
    - Make libhwloc-dev depend on libnuma-dev only where it is used.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 Oct 2014 16:22:19 +0200

hwloc (1.10.0-1) unstable; urgency=medium

  * New upstream release.
    - control: make libhwloc5 Break older libhwloc-plugins.
  * Bump Standards-Version to 3.9.6 (no changes).
  * Fix libhwloc-dev Depends.
  * libhwloc-doc.docs: Add doc/examples.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 08 Oct 2014 14:37:38 +0200

## hwloc-contrib 1.11.1

=== debian/changelog ===
hwloc-contrib (1.11.1-1build2) xenial; urgency=medium

  * No-change rebuild for CUDA 7.5.

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 30 Mar 2016 21:40:53 +0200

hwloc-contrib (1.11.1-1build1) xenial; urgency=medium

  * No-change rebuild for nvidia-cuda soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Dec 2015 12:30:56 +0100

hwloc-contrib (1.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Add opencl-dev build-dep alternative to ocl-icd-opencl-dev.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 19 Oct 2015 18:36:32 +0200

hwloc (1.11.0-1) unstable; urgency=medium

  * New upstream release.
  * rules: drop jquery.js.
  * control: make libhwloc-doc depend on libjs-jquery to get jquery.js.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 18 Jun 2015 10:00:13 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Build-Depends: debhelper (>= 7), cdbs, libltdl-dev,
   libx11-dev, libxext-dev, nvidia-cuda-dev, libxnvctrl-dev,
   libpciaccess-dev, pkg-config,
-  ocl-icd-opencl-dev, opencl-headers,
+  libibverbs-dev [linux-any],
+  ocl-icd-opencl-dev [!hurd-i386] | opencl-dev, opencl-headers,
   autoconf (>= 2.63),
   dh-autoreconf,
   dpkg-dev (>= 1.16),

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 else
 CROSS= --build $(DEB_BUILD_GNU_TYPE)
 endif
+
+JQUERY_DEST=/usr/share/doc/libhwloc-doc/html/jquery.js
 
 export DEB_BUILD_HARDENING=1
 
@@ -76,7 +78,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_makeshlibs
+	dh_makeshlibs -V
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## hwloc-contrib 1.11.3

=== debian/changelog ===
hwloc-contrib (1.11.3-2build1) yakkety; urgency=medium

  * No-change rebuild for CUDA 8.0.

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Oct 2016 03:03:35 +0200

hwloc-contrib (1.11.3-2) unstable; urgency=medium

  * Binary-only upload, no source change.
  * Rebuild against CUDA 7.5.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 May 2016 14:24:05 +0200

hwloc-contrib (1.11.3-1) unstable; urgency=medium

  * New upstream release
    - control: Add valgrind build-dep.
    - patch/private_doxygen: Remove, merged upstream.
  * patches/test-fix: Fix an xml testcase.
  * rules: Do not ignore testsuite failure.
  * control: Restrict to amd64, only architecture supported by nvidia.
  * rules: Make dh_auto_install in debian/tmp, so dh_install can still work.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 27 Apr 2016 18:56:17 +0200

hwloc (1.11.2-3) unstable; urgency=medium

  * Also install hwloc-dump-hwdata on linux x32.
  * control: Bump Standards-Version to 3.9.7 (no change).
  * patches/private_doxygen: New upstream patch to fix build now that doxygen
    respects \private. Closes: #814493.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 16 Feb 2016 17:22:40 +0100

hwloc (1.11.2-2) unstable; urgency=medium

  * Only install hwloc-dump-hwdata on linux x86.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Dec 2015 20:14:57 +0100

hwloc (1.11.2-1) unstable; urgency=medium

  * New upstream release
    - hwloc.install: Add /usr/sbin for hwloc-dump-hwdata.
  * control:
    - Drop multiarch-support pre-depend.
    - Enable numa on mips64*. Closes: #806700.
  * compat: Bump to 9.
  * rules: Clear.
  * hwloc.menu: Remove, replaced by desktop file.
  * patches/bashism: Make hwloc-assembler-remote use bash since it uses
    bashisms. Closes: #772231.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Dec 2015 18:31:50 +0100

hwloc (1.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Add opencl-dev build-dep alternative to ocl-icd-opencl-dev.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 19 Oct 2015 18:35:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: hwloc-contrib
 Priority: extra
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, libltdl-dev,
+Build-Depends: debhelper (>= 9), valgrind, libltdl-dev,
   libx11-dev, libxext-dev, nvidia-cuda-dev, libxnvctrl-dev,
   libpciaccess-dev, pkg-config,
   libibverbs-dev [linux-any],
   ocl-icd-opencl-dev [!hurd-i386] | opencl-dev, opencl-headers,
   autoconf (>= 2.63),
   dh-autoreconf,
-  dpkg-dev (>= 1.16),
-  hardening-wrapper
+  dpkg-dev (>= 1.16)
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Section: contrib/admin
 Homepage: http://www.open-mpi.org/projects/hwloc/
 Vcs-Git: http://github.com/open-mpi/hwloc-debian.git
 Vcs-Browser: http://github.com/open-mpi/hwloc-debian
 
 Package: libhwloc-contrib-plugins
-Architecture: any
+Architecture: amd64
 Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc5
 Description: Hierarchical view of the machine - contrib plugins
  libhwloc provides a portable abstraction (across OS, versions,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

override_dh_auto_configure:
	dh_auto_configure -- --enable-static --enable-plugins --enable-doxygen

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

	mkdir -p $(CURDIR)/debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/hwloc/autogen
	mv $(CURDIR)/debian/tmp/usr/include/hwloc/autogen/config.h $(CURDIR)/debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/hwloc/autogen/

override_dh_makeshlibs:
	dh_makeshlibs -V

## hwloc-contrib 1.11.5

=== debian/changelog ===
hwloc-contrib (1.11.5-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 21 Nov 2016 11:20:05 +0100

hwloc (1.11.4-1) unstable; urgency=medium

  * New upstream release.
  * rules: Re-enable parallel build.
  * control: Bump Standards-Version to 3.9.8 (no change)
  * patches/test-fix: Remove upstream fix.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Aug 2016 10:14:01 +0200

hwloc (1.11.3-2) unstable; urgency=medium

  * patches/test-fix: Update to upstream fix.
  * control: Build-depend on valgrind only on archs which have it.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 May 2016 01:29:42 +0200

hwloc (1.11.3-1) unstable; urgency=medium

  * New upstream release
    - control: Add valgrind build-dep.
    - patch/private_doxygen: Remove, merged upstream.
  * patches/test-fix: Fix an xml testcase.
  * rules: Do not ignore testsuite failure.
  * control: Restrict to amd64, only architecture supported by nvidia.
  * rules: Make dh_auto_install in debian/tmp, so dh_install can still work.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 27 Apr 2016 18:56:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hwloc-contrib
 Priority: extra
 Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 9), valgrind, libltdl-dev,
+Build-Depends: debhelper (>= 9), libltdl-dev,
+  valgrind [amd64 arm64 armhf i386 mips mipsel powerpc ppc64el s390x mips64el ppc64],
   libx11-dev, libxext-dev, nvidia-cuda-dev, libxnvctrl-dev,
   libpciaccess-dev, pkg-config,
   libibverbs-dev [linux-any],
@@ -10,7 +11,7 @@
   dh-autoreconf,
   dpkg-dev (>= 1.16)
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Section: contrib/admin
 Homepage: http://www.open-mpi.org/projects/hwloc/
 Vcs-Git: http://github.com/open-mpi/hwloc-debian.git

## hwloc-contrib 1.11.9

=== debian/changelog ===
hwloc-contrib (1.11.9-1build1) bionic; urgency=medium

  * No-change rebuild against CUDA 9.1

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 05 Mar 2018 23:21:29 +0000

hwloc-contrib (1.11.9-1) unstable; urgency=medium

  * control: Bump Standards-Version to 4.1.1 (no changes).
  * patches/format: Remove, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 19 Jan 2018 09:46:54 +0100

hwloc-contrib (1.11.8-1) unstable; urgency=medium

  * New upstream release.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.0.
  * patches/format: Avoid letting snprintf interpret process name as format.
  * control: Make libhwloc-plugins depend only on the same upstream source
    version, that is where plugin compatibility is guaranteed.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 06 Sep 2017 17:44:42 +0200

hwloc (1.11.7-1) experimental; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 28 Apr 2017 16:56:32 +0200

hwloc (1.11.6-1) experimental; urgency=medium

  * New upstream release.
  * control: Make libhwloc-plugins depend on the same version of libhwloc5.
    Closes: #846128.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Nov 2016 16:54:46 +0100

hwloc (1.11.5-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 21 Nov 2016 11:20:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: hwloc-contrib
-Priority: extra
+Priority: optional
 Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 9), libltdl-dev,
   valgrind [amd64 arm64 armhf i386 mips mipsel powerpc ppc64el s390x mips64el ppc64],
@@ -11,15 +11,15 @@
   dh-autoreconf,
   dpkg-dev (>= 1.16)
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.8
-Section: contrib/admin
+Standards-Version: 4.1.1
+Section: contrib/libs
 Homepage: http://www.open-mpi.org/projects/hwloc/
 Vcs-Git: http://github.com/open-mpi/hwloc-debian.git
 Vcs-Browser: http://github.com/open-mpi/hwloc-debian
 
 Package: libhwloc-contrib-plugins
 Architecture: amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc5
+Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc5 (>= ${source:Upstream-Version}~), libhwloc5 (<< ${source:Upstream-Version}A)
 Description: Hierarchical view of the machine - contrib plugins
  libhwloc provides a portable abstraction (across OS, versions,
  architectures, ...) of the hierarchical topology of modern architectures. It

## hwloc-contrib 1.11.10

=== debian/changelog ===
hwloc-contrib (1.11.10-2) unstable; urgency=medium

  [ Alexander Kurtz ]
  * control: Mark libhwloc-plugins as Multi-Arch: same (Closes: Bug#901558).

  [ Helmut Grohne ]
  * Mark libhwloc-common and libhwloc-doc Multi-Arch: foreign.

  [ Samuel Thibault ]
  * Use https URL
  * Bump Standards-Version to 4.1.4

 -- Samuel Thibault <sthibault@debian.org>  Sun, 17 Jun 2018 15:39:50 +0200

hwloc (1.11.10-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 26 Mar 2018 11:46:01 +0200

hwloc (1.11.9-1) unstable; urgency=medium

  * control: Bump Standards-Version to 4.1.1 (no changes).
  * patches/format: Remove, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 19 Jan 2018 09:46:54 +0100

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,15 @@
   dh-autoreconf,
   dpkg-dev (>= 1.16)
 Build-Conflicts: autoconf2.13
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Section: contrib/libs
 Homepage: http://www.open-mpi.org/projects/hwloc/
-Vcs-Git: http://github.com/open-mpi/hwloc-debian.git
-Vcs-Browser: http://github.com/open-mpi/hwloc-debian
+Vcs-Git: https://github.com/open-mpi/hwloc-debian.git
+Vcs-Browser: https://github.com/open-mpi/hwloc-debian
 
 Package: libhwloc-contrib-plugins
 Architecture: amd64
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc5 (>= ${source:Upstream-Version}~), libhwloc5 (<< ${source:Upstream-Version}A)
 Description: Hierarchical view of the machine - contrib plugins
  libhwloc provides a portable abstraction (across OS, versions,

## hwloc-contrib 1.11.12

=== debian/changelog ===
hwloc-contrib (1.11.12-3) unstable; urgency=medium

  * control: Add libcuda1 dependency, not brought by nvidia-cuda-dev any more.
  * watch: Add.
  * patches/doc-nopdf: Disable building pdf version of documentation.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 Feb 2019 00:46:55 +0100

hwloc-contrib (1.11.12-2) unstable; urgency=medium

  * Drop autopkgtests in contrib package (Closes: #916503).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 15 Dec 2018 10:54:13 +0100

hwloc-contrib (1.11.12-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 14 Dec 2018 16:19:49 +0100

hwloc-contrib (1.11.11-2) unstable; urgency=medium

  * debian/tests/test-util: Automatically get hwloc version (Closes: #908100).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 22 Sep 2018 11:12:43 +0200

hwloc-contrib (1.11.11-1) unstable; urgency=medium

  * New upstream release.
    - patches/test-xml: Remove patch, merged upstream.
  * control: Bump Standards-Version to 4.2.0 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 05 Sep 2018 16:12:21 +0200

hwloc-contrib (1.11.10-3) unstable; urgency=medium

  * control: Bump Standards-Version to 4.1.5 (no changes).
  * patches/test-xml: cherry-pick upstream fix for xml test.
  * tests/: Add autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 17 Jul 2018 02:51:28 +0200

hwloc-contrib (1.11.10-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 26 Mar 2018 11:46:01 +0200

hwloc-contrib (1.11.7-1) experimental; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 28 Apr 2017 16:56:32 +0200

hwloc-contrib (1.11.6-1) experimental; urgency=medium

  * New upstream release.
  * control: Make libhwloc-plugins depend on the same version of libhwloc5.
    Closes: #846128.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 28 Nov 2016 16:54:46 +0100

hwloc-contrib (1.11.4-1) unstable; urgency=medium

  * New upstream release.
  * rules: Re-enable parallel build.
  * control: Bump Standards-Version to 3.9.8 (no change)
  * patches/test-fix: Remove upstream fix.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Aug 2016 10:14:01 +0200

hwloc-contrib (1.11.2-3) unstable; urgency=medium

  * Also install hwloc-dump-hwdata on linux x32.
  * control: Bump Standards-Version to 3.9.7 (no change).
  * patches/private_doxygen: New upstream patch to fix build now that doxygen
    respects \private. Closes: #814493.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 16 Feb 2016 17:22:40 +0100

hwloc-contrib (1.11.2-2) unstable; urgency=medium

  * Only install hwloc-dump-hwdata on linux x86.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Dec 2015 20:14:57 +0100

hwloc-contrib (1.11.2-1) unstable; urgency=medium

  * New upstream release
    - hwloc.install: Add /usr/sbin for hwloc-dump-hwdata.
  * control:
    - Drop multiarch-support pre-depend.
    - Enable numa on mips64*. Closes: #806700.
  * compat: Bump to 9.
  * rules: Clear.
  * hwloc.menu: Remove, replaced by desktop file.
  * patches/bashism: Make hwloc-assembler-remote use bash since it uses
    bashisms. Closes: #772231.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Dec 2015 18:31:50 +0100

hwloc-contrib (1.10.1-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 May 2015 20:08:01 +0200

hwloc-contrib (1.10.0-3) unstable; urgency=medium

  * Make packages depend on at least the same version of libhwloc5.
    Closes: #767687.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 02 Nov 2014 15:25:24 +0100

hwloc-contrib (1.10.0-2) unstable; urgency=medium

  * control:
    - Add common tools names in the description of hwloc.
    - Add arm64, ppc64el and sparc in list of archs with libnuma-dev.
    - Make libhwloc-dev depend on libnuma-dev only where it is used.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 Oct 2014 16:22:19 +0200

hwloc-contrib (1.9.1-1) unstable; urgency=medium

  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Fri, 29 Aug 2014 14:50:07 +0200

hwloc-contrib (1.9-5) unstable; urgency=medium

  * Use dh_autoreconf. Closes: #755824.
  * patches/desktop: Upstream patch to add desktop file for menu integration.
    Closes: #758252.
  * hwloc.install: Add desktop file.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 21 Aug 2014 23:50:44 +0200

hwloc-contrib (1.9-4) unstable; urgency=medium

  * Also ship lstopo-no-graphics in the hwloc package, to fix
    hwloc-gather-topology, and possibly other scripts that people might be
    using. Closes: #748927.
  * Drop autotools-dev and help2man build-dependencies, now unused.
  * Add --enable-doxygen to really build the documentation.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 11 Jul 2014 10:11:54 +0200

hwloc-contrib (1.9-3) unstable; urgency=medium

  * Use [!hurd-i386] instead of [!hurd-any], the latter doesn't seem to be
    working.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 02 May 2014 02:26:51 +0200

hwloc-contrib (1.9-2) unstable; urgency=medium

  * Do not depend on opencl-icd on hurd.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 01 May 2014 21:35:19 +0200

hwloc-contrib (1.9-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 26 Mar 2014 12:36:58 +0100

hwloc-contrib (1.8.1-1) unstable; urgency=medium

  * New upstream release. Closes: #737607.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 04 Feb 2014 15:18:33 +0100

hwloc-contrib (1.8-1) unstable; urgency=low

  * New upstream release.
  * control: Update debian packaging VCS URL.
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 19 Nov 2013 13:59:51 +0100

hwloc-contrib (1.7.2-1) unstable; urgency=low

  * New upstream release.
  * Add ocl-icd-opencl-dev and opencl-headers build-dependencies to build opencl


=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 9), libltdl-dev,
   valgrind [amd64 arm64 armhf i386 mips mipsel powerpc ppc64el s390x mips64el ppc64],
-  libx11-dev, libxext-dev, nvidia-cuda-dev, libxnvctrl-dev,
+  libx11-dev, libxext-dev, nvidia-cuda-dev, libcuda1, libxnvctrl-dev,
   libpciaccess-dev, pkg-config,
   libibverbs-dev [linux-any],
   ocl-icd-opencl-dev [!hurd-i386] | opencl-dev, opencl-headers,
@@ -11,11 +11,11 @@
   dh-autoreconf,
   dpkg-dev (>= 1.16)
 Build-Conflicts: autoconf2.13
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Section: contrib/libs
 Homepage: http://www.open-mpi.org/projects/hwloc/
-Vcs-Git: https://github.com/open-mpi/hwloc-debian.git
-Vcs-Browser: https://github.com/open-mpi/hwloc-debian
+Vcs-Git: https://github.com/open-mpi/hwloc-debian.git -b contrib
+Vcs-Browser: https://github.com/open-mpi/hwloc-debian/tree/contrib
 
 Package: libhwloc-contrib-plugins
 Architecture: amd64

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --with autoreconf --parallel
 
 DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

## hwloc-contrib 1.11.13

=== debian/changelog ===
hwloc-contrib (1.11.13-1ubuntu2) eoan; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - no remaining changes, it can be syncd on next Debian upload

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2019 08:32:48 +0200

hwloc-contrib (1.11.13-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 24 Jul 2019 17:33:43 +0200

hwloc-contrib (1.11.12-3ubuntu2) disco; urgency=medium

  * No-change rebuild against CUDA 10.1

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 27 Mar 2019 17:50:57 +0000

hwloc-contrib (1.11.12-3ubuntu1) disco; urgency=medium

  * Drop build dependency on libcuda1
  * Rebuild against CUDA 10.0

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 21 Feb 2019 17:25:14 +0000

## hwloc-contrib 2.0.3+dfsg

=== debian/changelog ===
hwloc-contrib (2.0.3+dfsg-2) experimental; urgency=medium

  * Fix libhwloc5 -> libhwloc15 so bump.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 19 Jan 2019 20:49:45 +0100

hwloc-contrib (2.0.3+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 14 Dec 2018 16:27:38 +0100

hwloc-contrib (2.0.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Rename libhwloc5 to libhwloc15 according to soname bump.
  * tests/: Update tests.
  * source.lintian-override: Ignore missing conflict between hwloc-dbgsym and
    hwloc-nox-dbgsym, the corresponding packages explicitly conflict already.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 22 Sep 2018 12:35:16 +0200

hwloc-contrib (2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * patches/ia64-shmem: Remove, upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Feb 2018 22:40:49 +0100

hwloc-contrib (2.0.0~rc2-2) experimental; urgency=medium

  * patches/ia64-shmem: Cherry-pick fix for IA64.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 30 Jan 2018 19:42:36 +0100

hwloc-contrib (2.0.0~rc2-1) experimental; urgency=medium

  * New upstream release.
  * patches/autogen,memfix,glcl_test: Remove, fixed upstream.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Jan 2018 22:43:11 +0100

hwloc-contrib (2.0.0~beta1-4) experimental; urgency=medium

  * Fix get_last_cpu_location test for builds within qemu-user, which
    introduce an additional thread.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 29 Dec 2017 12:12:54 +0100

hwloc-contrib (2.0.0~beta1-3) experimental; urgency=medium

  * rules: Dump test failure logs.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 27 Dec 2017 23:46:46 +0100

hwloc-contrib (2.0.0~beta1-2) experimental; urgency=medium

  * control: Make libudev-dev dependency linux-only.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 27 Dec 2017 20:40:37 +0100

hwloc-contrib (2.0.0~beta1-1) experimental; urgency=medium

  * New upstream release.
    - Rename libhwloc5 to libhwloc12 according to soname bump.
    - Drop old compatibility links, now useless.
    - patches/cpuset_ABI: Remove patch since we bump the ABI.
    - patches/bashism: Remove patch, source disappeared.
    - patches/format: Patch merged upstream.
    - patches/autogen: Add dump netloc/Makefile.am so autogen can run.
    - patches/memfix: Fix bug with single NUMA memory object addition.
  * control:
    - Add w3m and libudev-dev build-depend.
    - Bump Standards-Version to 4.1.1 (no changes).
    - Drop spurious old provides/conflicts/replaces for libhwloc0-5.
  * rules: Don't abort the whole testsuite if one test fails.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 21 Dec 2017 09:54:56 +0100

hwloc-contrib (1.11.12-3) UNRELEASED; urgency=medium

  * watch: Add.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 20 Dec 2018 09:41:34 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Build-Depends: debhelper (>= 9), libltdl-dev,
   valgrind [amd64 arm64 armhf i386 mips mipsel powerpc ppc64el s390x mips64el ppc64],
   libx11-dev, libxext-dev, nvidia-cuda-dev, libcuda1, libxnvctrl-dev,
-  libpciaccess-dev, pkg-config,
+  libpciaccess-dev, libudev-dev [linux-any], pkg-config,
   libibverbs-dev [linux-any],
   ocl-icd-opencl-dev [!hurd-i386] | opencl-dev, opencl-headers,
-  autoconf (>= 2.63),
+  autoconf (>= 2.63), w3m,
   dh-autoreconf,
   dpkg-dev (>= 1.16)
 Build-Conflicts: autoconf2.13
@@ -20,7 +20,7 @@
 Package: libhwloc-contrib-plugins
 Architecture: amd64
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc5 (>= ${source:Upstream-Version}~), libhwloc5 (<< ${source:Upstream-Version}A)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libhwloc15 (>= ${source:Upstream-Version}~), libhwloc15 (<< ${source:Upstream-Version}A)
 Description: Hierarchical view of the machine - contrib plugins
  libhwloc provides a portable abstraction (across OS, versions,
  architectures, ...) of the hierarchical topology of modern architectures. It

=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,7 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V
+
+override_dh_auto_test:
+	HWLOC_TEST_DONTCHECK_PROC_CPULOCATION=1 dh_auto_test -- -k || \
+		( cat $$(find . -name \*.log) ; false )

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,uversionmangle=s/(\d)(rc\d*)$/$1~$2/ \
https://www.open-mpi.org/software/hwloc/v2.0 \
https://download.open-mpi.org/release/hwloc/v2.0/hwloc(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## hwloc-contrib 2.0.4+dfsg

=== debian/changelog ===
hwloc-contrib (2.0.4+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * debian/tests/test-util:
    - Add missing @DIFF@ replacement.
    - Fix getting upstream version.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 10 Jun 2019 22:43:03 +0200
